> ## Name

> cgGetFirstSamplerState - get the first sampler state definition in a context

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstate cgGetFirstSamplerState( CGcontext context );

> ## Parameters

> context
>   The context from which to retrieve the first sampler state definition.

> ## Return Values

> Returns the first CGstate object in context.

> Returns NULL if context contains no programs or an error occurs.

> ## Description

> cgGetFirstSamplerState is used to begin iteration over all of the sampler state definitions contained within a context. See cgGetNextState for more information.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> ## History

> cgGetFirstSamplerState was introduced in Cg 1.4.

> ## See Also

> cgGetNextState, cgGetNamedSamplerState